using System;
using Microsoft.SPOT;

namespace CPF
{
    class IridiumStrings
    {
        public static readonly byte[] CR            = System.Text.Encoding.UTF8.GetBytes("\r");
        public static readonly byte[] LF            = System.Text.Encoding.UTF8.GetBytes("\n");
        public static readonly byte[] BLANK         = System.Text.Encoding.UTF8.GetBytes(" ");
        public static readonly byte[] COMMA         = System.Text.Encoding.UTF8.GetBytes(",");
        public static readonly byte[] MINUS         = System.Text.Encoding.UTF8.GetBytes("-");
        public static readonly byte[] DOT           = System.Text.Encoding.UTF8.GetBytes(".");
        public static readonly byte[] ZERO          = System.Text.Encoding.UTF8.GetBytes("0");
        public static readonly byte[] NINE          = System.Text.Encoding.UTF8.GetBytes("9");
        public static readonly byte[] EQUALS        = System.Text.Encoding.UTF8.GetBytes("=");
        public static readonly byte[] CRLF          = System.Text.Encoding.UTF8.GetBytes("\r\n");
        public static readonly byte[] CRLF_PER_DUE  = System.Text.Encoding.UTF8.GetBytes("\r\n\r\n");
        public static readonly byte[] I_NEED_DOLLARS = System.Text.Encoding.UTF8.GetBytes("$$$");
        public static readonly byte[] AT            = System.Text.Encoding.UTF8.GetBytes("AT");
        public static readonly byte[] AT_E0         = System.Text.Encoding.UTF8.GetBytes("ATE0");           // Turn off echo
        public static readonly byte[] AT_E1         = System.Text.Encoding.UTF8.GetBytes("ATE1");           // Turn on  echo
        public static readonly byte[] AT_AMP_K0     = System.Text.Encoding.UTF8.GetBytes("AT&K0");          // Disable flow control
        public static readonly byte[] AT_AMP_K3     = System.Text.Encoding.UTF8.GetBytes("AT&K3");          // Enable RTS/CTS flow control
        public static readonly byte[] AT_GGA        = System.Text.Encoding.UTF8.GetBytes("AT+PA=1");        // Position from GPS Request
        public static readonly byte[] AT_PUBX       = System.Text.Encoding.UTF8.GetBytes("AT+PA=A");        // Position from GPS Request
        public static readonly byte[] GGA_RSP       = System.Text.Encoding.UTF8.GetBytes("\r\n+PA:\r\n");   // Position from GPS Response
        public static readonly byte[] AT_ZDA        = System.Text.Encoding.UTF8.GetBytes("AT+PA=8");        // Get Time and date from GPS request
        public static readonly byte[] ZDA_RSP       = System.Text.Encoding.UTF8.GetBytes("\r\n+PA:\r\n");   // Position from GPS Response
        public static readonly byte[] AT_SBDWT      = System.Text.Encoding.UTF8.GetBytes("AT+SBDWT");       // Move a text SBD message into the mobile originated buffer
        public static readonly byte[] AT_SBDWB      = System.Text.Encoding.UTF8.GetBytes("AT+SBDWB");       // Move a binary SBD message into the mobile originated buffer
        public static readonly byte[] AT_SBDRT      = System.Text.Encoding.UTF8.GetBytes("AT+SBDRT");       // Collect a text SBD message from the mobile terminated buffer
        public static readonly byte[] AT_SBDRB      = System.Text.Encoding.UTF8.GetBytes("AT+SBDRB");       // Collect a binary SBD message from the mobile terminated buffer
        public static readonly byte[] AT_SBDI       = System.Text.Encoding.UTF8.GetBytes("AT+SBDI");        // Send the mobile originated buffer to the satellite nework
        public static readonly byte[] AT_SBDD0      = System.Text.Encoding.UTF8.GetBytes("AT+SBDD0");       // Clear Mobile Originated Buffer
        public static readonly byte[] AT_SBDD1      = System.Text.Encoding.UTF8.GetBytes("AT+SBDD1");       // Clear Mobile Terminated Buffer
        public static readonly byte[] AT_SBDD2      = System.Text.Encoding.UTF8.GetBytes("AT+SBDD2");       // Clear both Mobile Originated and Terminated Buffer
        public static readonly byte[] AT_SBDC       = System.Text.Encoding.UTF8.GetBytes("AT+SBDC");        // Clear mobile originated sequence numbers
        public static readonly byte[] AT_SBDS       = System.Text.Encoding.UTF8.GetBytes("AT+SBDS");        // Get modem buffer status request
        public static readonly byte[] SBDS_RSP      = System.Text.Encoding.UTF8.GetBytes("\r\n+SBDS:");     // Get modem buffer status response
        public static readonly byte[] AT_SBDTC      = System.Text.Encoding.UTF8.GetBytes("AT+SBDTC");       // Transfermobile oirginated buffer to mobile terminated buffer
        public static readonly byte[] AT_ESCAPE     = System.Text.Encoding.UTF8.GetBytes("+++");
        public static readonly byte[] OK            = System.Text.Encoding.UTF8.GetBytes("\r\nOK\r\n");
        public static readonly byte[] AT_CSQ_RQ     = System.Text.Encoding.UTF8.GetBytes("AT+CSQ");         // Signal Quality Request
        public static readonly byte[] CSQ_RSP       = System.Text.Encoding.UTF8.GetBytes("\r\n+CSQ:");      // Signal Response
        public static readonly byte[] NMEA_GPGGA    = System.Text.Encoding.UTF8.GetBytes("$GPGGA,");        // NMEA GPS Id
        public static readonly byte[] NMEA_GPZDA    = System.Text.Encoding.UTF8.GetBytes("$GPZDA,");        // NMEA GPS Id
        public static readonly byte[] AT_SBDAREG    = System.Text.Encoding.UTF8.GetBytes("AT+SBDAREG=1");   // Register with Central Services
        public static readonly byte[] AT_SBDIX      = System.Text.Encoding.UTF8.GetBytes("AT+SBDIX");
        public static readonly byte[] SBDIX_RSP     = System.Text.Encoding.UTF8.GetBytes("\r\n+SBDIX:");    // Get modem status response
        public static readonly byte[] SBDRT_RSP     = System.Text.Encoding.UTF8.GetBytes("\r\n+SBDRT:\r\n");    // Get read text message response
        public static readonly byte[] BVMSG         = System.Text.Encoding.UTF8.GetBytes(",$CPFBV,");         // Battery Voltage Message
        public static readonly byte[] SILLYSUM      = System.Text.Encoding.UTF8.GetBytes(",*A4\r\n");         // Battery Voltage Message
    }
}